#app-header {
    .cobalt-masthead {
        object-fit: contain;
        width: 150px;
        margin: 8px 0;
    }
    .button {
        --_anchor-element-color: 
    }
}

strong {
    font-family: var(--project-head-family)
}

.directory--group, footer .vbox a {
    &.directory--group a {
        font-size: 1.2em;
    }
    a {
        --_anchor-element-color: rgb(from white r g b / .8);
        --_anchor-hover-color: white;
        --_anchor-active-color: rgb(from white r g b / .8);
        --_anchor-visited-color: rgb(from white r g b / .8);
        --_anchor-contrast-mix: 15%;
    }
}
.content-splash {
    height: 80vh;
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: center;
}

.content-splash--callout {
    max-width: 90ch;
    background: rgb(255 255 255 / .8);
    backdrop-filter: blur(5px);
    padding: 1em;
}

.content-splash--callout .cobalt-masthead {
    max-width: 400px;
    max-height: 400px;
    
}

.contact-callout {
    margin-right: 2em;
}

.contact-callout a{
    display: block;
    color: white;
    text-decoration: none;
    font-size: 1.3em;
}


/** PROJECTS **/
.project--individual {
    /* --panel-height: 20vw; */
    position: relative;
    /* display: flex; */
    overflow: hidden;
    /* height:100vh; */
    --image-height: 60vh;
    background-color: var(--font-body-color);
    background-image: var(--_background);
    background-size: cover;
    height: 60vh;
    background-position-x: var(--_desktop_offset_x, center);
    background-position-y: var(--_desktop_offset_y, center);
    background-size: var(--_desktop_scale, cover);
    @media only screen and (max-width: 35em) {
        background-position-x: var(--_mobile_offset_x, var(--_desktop_offset_x,center));
        background-position-y: var(--_mobile_offset_y, var(--_desktop_offset_y,center));
        background-size: var(--_mobile_scale, var(--_desktop_scale, cover));
    }
    &.d100 {
        filter: brightness(90%);
    }
    &.d200 {
        filter: brightness(80%);
    }
    &.d300 {
        filter: brightness(70%);
    }
    &.d400 {
        filter: brightness(60%);
    }
    &.w100 {
        filter: brightness(110%);
    }
    &.w200 {
        filter: brightness(120%);
    }
    &.w300 {
        filter: brightness(130%);
    }
    &.w400 {
        filter: brightness(140%);
    }
}
.project-container {
    display: flex;
    --gap: 3ch;
    padding: var(--gap);
    gap: var(--gap);
}

.project-sidebar {
    width: 30ch;
    position: sticky;
    top:0;
    /* margin: 0 auto; */
}
.project-gallery {
    width: calc(100% - 35ch);
    display: grid;
    gap: var(--gap);
    grid-template-columns: 1fr 1fr 1fr;
    img {
        aspect-ratio: 1 / 1;
        object-fit: cover;
    }
    .project--item {
        display: grid;
        place-items: center;
        position: relative;
        overflow: hidden;
        .project--teaser, img {
            grid-row: 1 / span 1;
            grid-column: 1 / span 1;
        }
        &:hover {
            .project--teaser {
                opacity: 1;
                translate: 0%;
            }
        }
        .project--teaser {
            color: var(--contrast, white);
            height: 100%;
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            justify-content: flex-end;
            padding: 2ch;
            width: 100%;
            margin-top: auto;
            user-select: none;
            pointer-events: none;
            opacity: 0;
            translate: 0 100%;
            transition: opacity .3s, translate .3s;
            position: absolute;
            isolation: isolate;
            h2 {
                margin-bottom: 0;
            }
            p {
                font-weight: normal;
            }
            &:before {
                content: "";
                position: absolute;
                inset: 0;
                mask-image: linear-gradient(transparent 0%, black 50%);
                background: rgb(from var(--accent, black) r g b / .6);
                /* backdrop-filter: blur(5px); */
                z-index: -1;
            }
        }
    }
}
.other-projects-container {
    h2 {
        text-align: center;
    }
}

.other-projects {
    --gap: 3ch;
    display: flex;
    flex-wrap: wrap;
    width: 80ch;
    justify-content: center;
    margin: 0 auto;
}

.button.button {
    --_anchor-element-color: white;
    --_anchor-element-background: #F29559;
    --_anchor-hover-color: black;
    --_anchor-hover-background: #ffd0b1;
    --_anchor-active-color: white;
    --_anchor-active-background: #b16532;
    --_anchor-visited-color: white;
    --_anchor-visited-background: #F29559;
    border-radius: none;
}

.main-section {
    padding: 5em 0 6em;
    display: flex;
    place-items: center;
    min-height: 60vh;
    flex-direction: column;
    justify-content: center;
    &.inverted {
        background: var(--primary-color-1);
        color: var(--primary-color-1-fg);
        .button {
            --_anchor-element-background: white;
            --_anchor-element-color: black;
        }
    }
    &.cta {
        background: #606c38;
        color: white;
        min-height: unset;
        .button {
            --_anchor-element-background: var(--primary-color-1);
            --_anchor-element-color: var(--branding-color-1);
            --_anchor-hover-background: var(--branding-color-1-fg);
            --_anchor-hover-color: black;
        }
    }
    .section-title, article {
        max-width: 65ch;
        /* margin: 0 auto; */
        container-type: normal;
    }
    .section-title {
        text-align: center;
        font-size: 2.5rem;
        padding: 0;
        margin-bottom: 0;
    }
    .button {
        width: max-content;
        margin: 0 auto;
        display: block;
    }
}

h1.section-title.section-title {
    font-size: 4rem;
}

.content-width {
    max-width: 85ch;
    margin: 0 auto;
}


address {
    font-size: normal;
}

/** FOOTER **/

.review-button {
    --size: 32px;
    position: fixed;
    left: 0;
    bottom: 10%;
    background: black;
    color: white;
    white-space: nowrap;
    padding: 1em;
    border-radius: 0 20px 20px 0;
    display: flex;
    gap: 1em;
    width: calc(var(--size) + 2em);
    overflow: hidden;
    transition: width .3s, border-radius .3s;
    font-size: 1.05em;
    box-sizing: border-box;
    align-items: center;
    &:hover {
        width: calc(var(--size) + (9ch + 2em));
        text-decoration: none;
        border-radius: 0 10px 10px 0;
    }
    img {
        height: var(--size);
        width: var(--size);
        display: block;
        flex-shrink: 0;
    }
    small {
        font-size: .68em;
    }
}

footer {
    text-align: center;
    /* background-color: #202C39; */
    background-color: var(--branding-color-1);
    color: white;
    padding: 2em;
    margin: 0;
    justify-content: center;
    flex-wrap: wrap;
    gap: 3em;
    .cobalt-masthead {
        max-width: 250px;
        object-fit: contain;
        margin: 1.13em 0 2em;
    }
    div:has(nav) h2 {
        text-align: left;
    }
    nav ul li {
        list-style: none;
        text-align: left;
    }
}

footer [action="/api/v1/contact/"] fieldset{
    border: unset;
}

.social-icons {
    font-size: 32px;
    svg {
        height: 32px;
        width: 32px;
    }
    a {
        transition: scale .2s;
        &:hover {
            scale: 1.1;
        }
    }
}